function plot2D(distribute)
  if nargin==0, distribute=true;end
  close all % :start:
  u=@(x,y) 3*exp(-((x-1).^2+y.^2)/10).*cos(x-1).*sin(y);
  [q2,me2,toGlobal2]=fc_meshtools.simplicial.getMeshArrays('2D',2);
  [q1,me1,toGlobal1]=fc_meshtools.simplicial.getMeshArrays('2D',1);
  U2=fc_meshtools.eval(u,q2);
  figure(1)
  fc_graphics4mesh.plot(q2,me2,U2,'plane',true)
  shading interp
  axis image;axis off
  colorbar

  figure(2)
  fc_graphics4mesh.plotmesh(q2,me2,'color','LightGray')
  hold on
  fc_graphics4mesh.plot(q1,me1,u,'LineWidth',2)
  caxis([min(U2) max(U2)])
  axis image;axis off
  colorbar  % :end:
  if distribute,fc_tools.graphics.monitors.autoGrid();end
end
