function alldemos(varargin)
  % fc_hypermesh.demos.alldemos('savedir','figures','tag',true,'format','png','verbose',true,'type','full')
  p = inputParser;
  p.KeepUnmatched=true; 
  p.PartialMatching=false;
  p.addParamValue('type','small',@(x) ismember(lower(x),{'small','full'}));
  p.addParamValue('savedir','');
  p.addParamValue('pause',1);
  p.parse(varargin{:});
  Ldemos={'demo01','demo02','demo03', ...
          'demo04','demo05','demo06', ...
          'demo11','demo12','demo13', ...
          'demo14','demo20'};
  if strcmp(p.Results.type,'small'), Ldemos={Ldemos{1:3:end}};end
  R=p.Results;
  varargin=fc_tools.utils.deleteCellOptions(varargin,p.Parameters);
  close all
  nLdemos=length(Ldemos);
  for idemo=1:nLdemos
    if fc_tools.comp.isOctave()
      clear -x Ldemos nLdemos idemo R varargin 
    else
      clearvars -except Ldemos nLdemos idemo R varargin
    end
    script=['fc_hypermesh.demos.',Ldemos{idemo}];
    fprintf('\n*** [%2d/%2d] Runnning %s\n\n',idemo,nLdemos,script)
    eval(script)
    if ~isempty(R.savedir)
      fc_tools.graphics.SaveAllFigsAsFiles(Ldemos{idemo},'dir',R.savedir,'pause',R.pause,varargin{:});
    else
      pause(R.pause)
    end
    close all
  end
  
end
