function varargout=feval3Ds02(varargin)
  % Th=fc_simesh.demos.feval3Ds02('geofile','sphere8surf','N',10,'verbose',2,'MshFileVersion','4.1','force',true);
  fprintf('************************************\n')
  fprintf('  Running %s function\n',mfilename())
  fprintf('************************************\n')
  [Th,verbose]=fc_simesh.demos.setMesh3Ds(varargin{:});
  
  f=@(x,y,z) cos(2*x).*sin(3*y).*exp(pi*z);
  
  g1=@(x,y,z) g(x,y,z,2,3,pi);
  g2=@(q) g(q(1,:),q(2,:),q(3,:),2,3,pi);
  
  if verbose,fprintf('*** Computing functions on mesh\n');end
  w=Th.feval(f);
  w1=Th.feval(g1);
  w2=Th.feval(g2);

  if verbose,fprintf('*** Check results\n');end
  res=0;
  res=res+ ~( (size(w1,1)==Th.nq) && (size(w2,1)==Th.nq) && (size(w,1)==Th.nq) );
  if verbose, if (res==1),    fprintf('  Test 0: failed with dimensions\n');else fprintf('  Test 0: OK\n');end;end
  E=max(abs(w1-w));
  res=res+(E >1e-15);
  if verbose, if (E >1e-15),fprintf('  Test 1: failed with E=%g\n',E);else fprintf('  Test 1: OK\n');end;end
  E=max(abs(w2-w));
  res=res+(E >1e-15);
  if verbose, if (E >1e-15),fprintf('  Test 2: failed with E=%g\n',E);else fprintf('  Test 2: OK\n');end;end
  if res>0,error('demo % failed',mfilename()');end
  if nargout==1,varargout{1}=Th;end
end

function w=g(x,y,z,cx,cy,cz)
  w=cos(cx*x).*sin(cy*y).*exp(cz*z);
end
