function sliceiso(varargin)
  close all % :start:
  meshfile=fc_oogmsh.gmsh.buildmesh3d('cylinder3holes',15,varargin{:});
  Th=fc_simesh.siMesh(meshfile);
  u=@(x,y,z) cos(2*x-y-z).*sin(x-2*y+z);
  U=Th.eval(u);

  fc_tools.graphics.monitors.onGrid(2,3,'figures',1:5);
  figure(1)
  P=fc_tools.graphics.PlaneCoefs([0 0 1],[1 -1 1]);
  Th.slicemesh(P)
  hold on
  Th.sliceiso(U,P)
  view(-11,15)

  figure(2)
  P=fc_tools.graphics.PlaneCoefs([0 0 1],[1 -1 1]);
  Th.slicemesh(P)
  hold on
  [~,~,cax,h]=Th.sliceiso(U,P,'isocolorbar',true);
  Th.sliceiso(U,P,'isorange',0,'color','w','Linewidth',2);
  view(-11,15)
  I=~isnan(h);
  set(h(I),'LineWidth',2)
  set(cax,'FontSize',8)

  figure(3)
  P=fc_tools.graphics.PlaneCoefs([0 0 1],[1 -1 1]);
  Th.slicemesh(P)
  hold on
  Th.sliceiso(U,P,'isocolorbar',true,'LineWidth',2,'format','%.3f');
  view(-11,15)
  
  figure(4)
  P=[fc_tools.graphics.PlaneCoefs([0 0 1],[1 0 0]); ...
     fc_tools.graphics.PlaneCoefs([0 0 1],[0 1 0]); ...
     fc_tools.graphics.PlaneCoefs([0 0 1],[0 0 1])];
  Th.plotmesh('d',1,'LineWidth',1,'color','k');
  hold on;axis off;axis image;
  Th.slice(u,P,'Facecolor','interp')
  
  figure(5)
  Th.plotmesh('d',1,'LineWidth',2,'color','k');
  hold on;axis off;axis image;
  Th.slicemesh(P(1:2,:))
  Th.sliceiso(u,P(1:2,:))
  Th.slice(u,P(3,:),'Facecolor','interp')
  Th.sliceiso(u,P(3,:),'color','white') % :end:

end
